# Uses of Interface
org.eclipse.jface.text.IEditingSupport

Packages that use IEditingSupport
Package
Description
org.eclipse.jface.text
Provides a framework for creating and manipulating text documents.

## Uses of IEditingSupport in org.eclipse.jface.text

Methods in org.eclipse.jface.text that return IEditingSupport
Modifier and Type
Method
Description
`IEditingSupport[]`
IEditingSupportRegistry.`getRegisteredSupports()`
Returns the current editor helpers.
`IEditingSupport[]`
TextViewer.`getRegisteredSupports()`
Methods in org.eclipse.jface.text with parameters of type IEditingSupport
Modifier and Type
Method
Description
`void`
IEditingSupportRegistry.`register(IEditingSupport support)`
Register a support with the registry.
`void`
TextViewer.`register(IEditingSupport helper)`
`void`
IEditingSupportRegistry.`unregister(IEditingSupport support)`
Deregister a support with the registry.
`void`
TextViewer.`unregister(IEditingSupport helper)`